package cd.casic.ci.common.pipeline.constant;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.constant
 * @Project：ops-pro
 * @name：CommonMessageCode
 * @Date：2025/03/26 18:02
 * @Filename：CommonMessageCode
 * @description：Todo
 */
public class CommonMessageCode {
    public static final String MSG_CODE_ROLE_PREFIX = "MSG_CODE_ROLE_PREFIX_"; // 角色国际化前缀
    public static final String MSG_CODE_PERMISSION_PREFIX = "MSG_CODE_PERMISSION_PREFIX_"; // 操作权限国际化前缀
    public static final String SUCCESS = "0"; // 成功
    public static final int OAUTH_DENERD = 418; // 自定义状态码, 未进行oauth认证
    public static final String SYSTEM_ERROR = "2100001"; // 系统内部繁忙，请稍后再试
    public static final String PARAMETER_IS_NULL = "2100002"; // 参数{0}不能为空
    public static final String PARAMETER_IS_EXIST = "2100003"; // 参数值{0}已经存在系统，请换一个再试
    public static final String PARAMETER_IS_INVALID = "2100004"; // 参数值{0}为非法数据
    public static final String OAUTH_TOKEN_IS_INVALID = "2100005"; // 无效的token，请先oauth认证
    public static final String PERMISSION_DENIED = "2100006"; // 无权限{0}
    public static final String ERROR_SERVICE_NO_FOUND = "2100007"; // "找不到任何有效的{0}服务提供者"
    public static final String ERROR_SERVICE_INVOKE_FAILURE = "2100008"; // "服务调用失败：{0},uniqueId={1}"
    public static final String ERROR_INVALID_CONFIG = "2100009"; // "配置不可用：{0},uniqueId={1}"
    public static final String ERROR_REST_EXCEPTION_COMMON_TIP = "2100010"; // 接口访问出现异常，请联系助手或稍后再重试
    public static final String ERROR_CLIENT_REST_ERROR = "2100011"; // 用户请求不合法，参数或方法错误，请咨询助手
    public static final String ERROR_PROJECT_FEATURE_NOT_ACTIVED = "2100012"; // 项目[{0}]未开通该功能
    public static final String ERROR_INVALID_PARAM_ = "2100013"; // 无效参数: {0}
    public static final String ERROR_NEED_PARAM_ = "2100014"; // 缺少参数: {0}
    public static final String PARAMETER_VALIDATE_ERROR = "2100015"; // {0}参数校验错误: {1}
    public static final String ERROR_SERVICE_NO_AUTH = "2100016"; // 无访问服务的权限
    public static final String ERROR_QUERY_NUM_TOO_BIG = "2100017"; // 查询的数量超过系统规定的值：{0}，请调整查询条件或咨询助手
    public static final String ERROR_QUERY_TIME_RANGE_TOO_LARGE = "2100018"; // 查询的时间范围跨度最大，最长时间范围跨度不能超过{0}天
    public static final String ERROR_HTTP_RESPONSE_BODY_TOO_LARGE = "2100019"; // http请求返回体太大
    public static final String PERMISSION_DENIED_FOR_APP = "2100020"; // APP的无权限{0}
    public static final String ERROR_SENSITIVE_API_NO_AUTH = "2100021"; // 无敏感API访问权限
    public static final String PARAMETER_LENGTH_TOO_LONG = "2100022"; // 参数长度不能超过{0}个字符
    public static final String PARAMETER_LENGTH_TOO_SHORT = "2100023"; // 参数长度不能小于{0}个字符
    public static final String PARAMETER_ILLEGAL_ERROR = "2100024"; // {0}参数非法错误: {1}
    public static final String PARAMETER_EXPIRED_ERROR = "2100025"; // {0}token过期错误: {1}
    public static final String PARAMETER_SECRET_ERROR = "2100026"; // {0}密钥配置错误: {1}
    public static final String PARAMETER_IS_EMPTY = "2100027"; // 参数不能为空
    public static final String ERROR_QUERY_TIME_RANGE_ERROR = "2100028"; // 查询的时间范围跨度错误
    public static final String SERVICE_NOT_EXIST = "2100029"; // 父服务不存在异常

    public static final String ILLEGAL_GITCI_SERVICE_IMAGE_FORMAT = "2100030"; // GITCI Service镜像格式非法
    public static final String THIRD_PARTY_SERVICE_DEVCLOUD_EXCEPTION = "2100031"; // 第三方服务-DEVCLOUD 异常，请联系8006排查，异常信息 -
    public static final String CREATE_CONTAINER_INTERFACE_EXCEPTION = "2100032"; // 创建容器接口异常
    public static final String CREATE_CONTAINER_RETURNS_FAILED = "2100033"; // 创建容器接口返回失败
    public static final String CREATE_CONTAINER_TIMED_OUT = "2100034"; // 创建容器接口超时
    public static final String OPERATION_CONTAINER_INTERFACE_EXCEPTION = "2100035"; // 操作容器接口异常
    public static final String OPERATION_CONTAINER_RETURNED_FAILURE = "2100036"; // 操作容器接口返回失败
    public static final String OPERATION_CONTAINER_TIMED_OUT = "2100037"; // 操作容器接口超时
    public static final String GET_STATUS_INTERFACE_EXCEPTION = "2100038"; // 获取容器状态接口异常
    public static final String GET_STATUS_TIMED_OUT = "2100039"; // 获取容器状态接口超时
    public static final String CREATE_MIRROR_INTERFACE_EXCEPTION = "2100040"; // 创建镜像接口异常
    public static final String CREATE_MIRROR_INTERFACE_RETURNED_FAILURE = "2100041"; // 创建镜像接口返回失败
    public static final String CREATE_MIRROR_INTERFACE_EXCEPTION_NEW = "2100042"; // 创建镜像新版本接口异常
    public static final String NEW_MIRROR_INTERFACE_RETURNED_FAILURE = "2100043"; // 创建镜像新版本接口返回失败
    public static final String TASK_STATUS_INTERFACE_EXCEPTION = "2100044"; // 获取TASK状态接口异常
    public static final String TASK_STATUS_TIMED_OUT = "2100045"; // 获取TASK状态接口超时
    public static final String GET_WEBSOCKET_INTERFACE_EXCEPTION = "2100046"; // 获取websocket接口异常
    public static final String PARAMETER_CANNOT_EMPTY_ALL = "2100047"; // 参数不能全部为空
    public static final String USERS_EXCEEDS_THE_LIMIT = "2100048"; // 授权用户数越界:{0}
    public static final String FAILED_TO_QUERY_GSE_AGENT_STATUS = "2100049"; // 查询 Gse Agent 状态失败
    public static final String FAILED_TO_GET_AGENT_STATUS = "2100050"; // 获取agent状态失败
    public static final String STAGES_AND_STEPS_CANNOT_EXIST_BY_SIDE = "2100053"; // stages和steps不能并列存在!

    public static final String USER_NOT_PERMISSIONS_OPERATE_PIPELINE = "2100054"; // 用户({0})无权限在工程({1})下{2}流水线{3}
    public static final String USER_NOT_HAVE_PROJECT_PERMISSIONS = "2100055"; // 用户 {0}无项目{1}权限
    public static final String UNABLE_GET_PIPELINE_JOB_STATUS = "2100056"; // 无法获取流水线JOB状态，构建停止
    public static final String JOB_BUILD_STOPS = "2100057"; // 流水线JOB已经不再运行，构建停止
    public static final String PIPELINE_NAME_OCCUPIED = "2100058"; // 流水线名称已被他人使用
    public static final String INTERNAL_DEPENDENCY_SERVICE_EXCEPTION = "2100059"; // 内部依赖服务异常
    public static final String PUBLIC_BUILD_RESOURCE_POOL_NOT_EXIST = "2100060"; // 公共构建资源池不存在，请检查yml配置.
    public static final String ERROR_LANGUAGE_IS_NOT_SUPPORT = "2100061"; // 该语言蓝盾目前不支持，蓝盾目前支持的语言标识为：{0}
    public static final String INIT_SERVICE_LIST_ERROR = "2100062"; // 初始化服务列表异常问题
    public static final String FILE_NOT_EXIST = "2100063"; // 文件{0}不存在
    public static final String USER_ACCESS_CHECK_FAIL = "2100064"; // Gitlab access token 不正确

    public static final String GITLAB_TOKEN_EMPTY = "2100065"; // GitLab Token为空
    public static final String GITLAB_HOOK_URL_EMPTY = "2100066"; // GitLab hook url为空
    public static final String GITLAB_TOKEN_FAIL = "2100067"; // GitLab Token不正确
    public static final String GIT_TOKEN_FAIL = "2100068"; // Git Token不正确
    public static final String SERCRT_EMPTY = "2100069"; // GIT 私钥为空
    public static final String GIT_SERCRT_WRONG = "2100070"; // Git 私钥不对
    public static final String PWD_EMPTY = "2100071"; // 用户密码为空
    public static final String USER_NAME_EMPTY = "2100072"; // 用户名为空
    public static final String GITLAB_INVALID = "2100073"; // 无效的GITLAB仓库
    public static final String GIT_TOKEN_WRONG = "2100074"; // Git Token 不正确
    public static final String GIT_LOGIN_FAIL = "2100075"; // Git 用户名或者密码不对
    public static final String GIT_TOKEN_EMPTY = "2100076"; // Git Token为空
    public static final String GIT_HOOK_URL_EMPTY = "2100077"; // Git hook url为空
    public static final String TGIT_LOGIN_FAIL = "2100078"; // TGit 用户名或者密码不对
    public static final String TGIT_TOKEN_FAIL = "2100079"; // TGit Token 不正确
    public static final String TGIT_SECRET_WRONG = "2100080"; // TGit 私钥不对
    public static final String SVN_SECRET_OR_PATH_ERROR = "2100081"; // SVN 私钥不正确 或者 SVN 路径没有权限
    public static final String SVN_CREATE_HOOK_FAIL = "2100082"; // 添加SVN WEB hook 失败
    public static final String LOCK_FAIL = "2100083"; // lock失败
    public static final String UNLOCK_FAIL = "2100084"; // unlock失败
    public static final String GIT_REPO_PEM_FAIL = "2100085"; // 代码仓库访问未授权
    public static final String CALL_REPO_ERROR = "2100086"; // 代码仓库访问异常
    public static final String P4_USERNAME_PASSWORD_FAIL = "2100087"; // p4用户名密码错误
    public static final String PARAM_ERROR = "2100088"; // 参数错误
    public static final String AUTH_FAIL = "2100089"; // {0}认证失败
    public static final String ACCOUNT_NO_OPERATION_PERMISSIONS = "2100090"; // 账户没有{0}的权限
    public static final String REPO_NOT_EXIST_OR_NO_OPERATION_PERMISSION = "2100091"; // {0}仓库不存在或者是账户没有该项目{1}的权限
    public static final String GIT_INTERFACE_NOT_EXIST = "2100092"; // {0}平台没有{1}的接口
    public static final String GIT_CANNOT_OPERATION = "2100093"; // {0}平台{1}操作不能进行
    public static final String WEBHOOK_LOCK_UNLOCK_FAIL = "2100094"; // unlock webhooklock失败,请确认token是否已经配置
    public static final String COMMIT_CHECK_ADD_FAIL = "2100095"; // Commit Check添加失败，请确保该代码库的凭据关联的用户对代码库有Developer权限
    public static final String ADD_MR_COMMENTS_FAIL = "2100096"; // 添加MR的评论失败，请确保该代码库的凭据关联的用户对代码库有Developer权限
    public static final String WEBHOOK_ADD_FAIL = "2100097"; // Webhook添加失败，请确保该代码库的凭据关联的用户对代码库有{0}权限
    public static final String WEBHOOK_UPDATE_FAIL = "2100098"; // Webhook更新失败，请确保该代码库的凭据关联的用户对代码库有Developer权限
    public static final String ENGINEERING_REPO_UNAUTHORIZED = "2100099"; // 工程仓库访问未授权
    public static final String ENGINEERING_REPO_NOT_EXIST = "2100100"; // 工程仓库不存在
    public static final String ENGINEERING_REPO_CALL_ERROR = "2100101"; // 工程仓库访问异常
    public static final String NOT_MEMBER_AND_NOT_OPEN_SOURCE = "2100102"; // 非项目成员且项目为非开源项目
    public static final String USER_NO_PIPELINE_PERMISSION = "2100108"; // 流水线: 用户无{0}权限
    public static final String SERVICE_COULD_NOT_BE_ANALYZED = "2100109"; // 无法根据接口"{0}"分析所属的服务
    public static final String RETURNED_RESULT_COULD_NOT_BE_PARSED = "2100110"; // 内部服务返回结果无法解析 status:{0} body:{1}
    public static final String SERVICE_PROVIDER_NOT_FOUND = "2100111"; // 找不到任何有效的{0}【{1}】服务提供者
    public static final String ILLEGAL_JOB_TYPE = "2100112"; // 非法的job类型!
    public static final String ERROR_YAML_FORMAT_EXCEPTION = "2100113"; // {0} 中 {1} 格式有误,应为 {2}, error message:{3}
    public static final String ERROR_YAML_FORMAT_EXCEPTION_CHECK_STAGE_LABEL = "2100114"; // 请核对Stage标签是否正确
    public static final String ERROR_YAML_FORMAT_EXCEPTION_LENGTH_LIMIT_EXCEEDED = "2100115"; // "{0} job.id 超过长度限制64 {1}}"
    public static final String ERROR_YAML_FORMAT_EXCEPTION_NEED_PARAM = "2100116"; // {0} 中的step必须包含uses或run或checkout!
    public static final String ERROR_YAML_FORMAT_EXCEPTION_SERVICE_IMAGE_FORMAT_ILLEGAL = "2100117"; // STREAM Service镜像格式非法
    public static final String ERROR_YAML_FORMAT_EXCEPTION_STEP_ID_UNIQUENESS = "2100118"; // 请确保step.id唯一性!({0})
    public static final String BUILD_RESOURCE_NOT_EXIST = "2100119"; // {0}构建资源不存在，请检查yml配置.
    public static final String ERROR_YAML_FORMAT_EXCEPTION_ENV_QUANTITY_LIMIT_EXCEEDED = "2100120"; // {0}配置Env数量超过100限制!
    public static final String ERROR_YAML_FORMAT_EXCEPTION_ENV_VARIABLE_LENGTH_LIMIT_EXCEEDED = "2100121"; // {0}Env单变量{1}长度超过{2}字符!({3})
    public static final String ERROR_PROJECT_API_ACCESS_NO_PERMISSION = "2100122"; // 项目[{0}]没有接口[{1}]的访问权限
    public static final String ERROR_INTERFACE_RETRY_NUM_EXCEEDED = "2100123"; // 接口连续重试次数超过{0}次，请稍后再试
    public static final String ERROR_PIPELINE_API_ACCESS_NO_PERMISSION = "2100124"; // 流水线[{0}]没有接口[{1}]的访问权限
    public static final String TEMPLATE_PLUGIN_NOT_ALLOWED_USE = "2100125"; // 模板中插件【{0}】的【{1}】版本的状态是【{2}】，不允许使用
    public static final String ADD_MR_FAIL = "2100126"; // 添加MR失败

    public static final String ELEMENT_UPDATE_WRONG_PATH = "2100127"; // 更新插件的标注位置有误
    public static final String ELEMENT_NOT_SUPPORT_TRANSFER = "2100128"; // 如下插件在 Code 方式下已不支持，请修改后再切换: \n[{0}]
    public static final String DISPATCH_NOT_SUPPORT_TRANSFER = "2100129"; // 如下构建环境在 Code 方式下不支持转换，请修改后再切换: \n[{0}]
    public static final String YAML_NOT_VALID = "2100130"; // yaml不合法 {0}
    public static final String GIT_INVALID_PRIVATE_KEY = "2100131"; // 不支持的SSH私钥格式，仅支持rsa格式私钥
    public static final String THIRD_PARTY_SERVICE_OPERATION_FAILED = "2100132"; // 第三方服务[{0}]操作失败，失败详情：{1}
    public static final String MR_ACCEPT_EVENT_NOT_SUPPORT_TRANSFER = "2100133"; // mr accept事件类型不支持code转换

    public static final String SVN_TOKEN_FAIL = "2100135"; // SVN Token 不正确
    public static final String SVN_TOKEN_EMPTY = "2100136"; // SVN Token 为空, 请检查代码库的凭证类型
    public static final String ERROR_VARIABLE_NOT_FOUND = "2100137"; // SVN Token 为空, 请检查代码库的凭证类型
    public static final String BK_CONTAINER_TIMED_OUT = "bkContainerTimedOut"; // 创建容器超时
    public static final String BK_CREATION_FAILED_EXCEPTION_INFORMATION = "bkCreationFailedExceptionInformation"; // 创建失败，异常信息

    public static final String BK_FILE_NAME = "bkFileName"; // 文件名
    public static final String BK_BELONG_TO_THE_PROJECT = "bkBelongToTheProject"; // 所属项目
    public static final String BK_OPERATING = "bkOperating"; // 操作
    public static final String BK_PUSH_FROM_BLUE_SHIELD_DEVOPS_PLATFORM = "bkPushFromBlueShieldDevopsPlatform"; // 来自蓝盾DevOps平台的推送
    public static final String BK_TABLE_CONTENTS = "bkTableContents"; // 表格内容
    public static final String BK_PLEASE_FEEL_TO_CONTACT_BLUE_SHIELD_ASSISTANT = "bkPleaseFeelToContactBlueShieldAssistant"; // 如有任何问题，可随时联系蓝盾助手
    public static final String BK_ETH1_NETWORK_CARD_IP_EMPTY = "bkEth1NetworkCardIpEmpty"; // eth1 网卡Ip为空，因此，获取eth0的网卡ip
    public static final String BK_LOOPBACK_ADDRESS_OR_NIC_EMPTY = "bkLoopbackAddressOrNicEmpty"; // loopback地址或网卡名称为空
    public static final String BK_FAILED_GET_NETWORK_CARD = "bkFailedGetNetworkCard"; // 获取网卡失败
    public static final String BK_MANUAL_TRIGGER = "bkManualTrigger"; // 手动触发
    public static final String BK_BUILD_TRIGGER = "bkBuildTrigger"; // 构建触发
    public static final String BK_VIEW_DETAILS = "bkSeeDetails"; // 查看详情
    public static final String BK_PROJECT_ID = "bkProjectId"; // # 项目ID:
    public static final String BK_PIPELINE_NAME = "bkPipelineName"; // # 流水线名称:
    public static final String BK_CREATE_SERVICE = "bkCreateService"; // 创建{0}服务
    public static final String BK_SESSION_ID = "bkSessionId"; // 会话ID
    public static final String BK_GROUP_ID = "bkGroupId"; // 群ID
    public static final String BK_THIS_GROUP_ID = "bkThisGroupId"; // 本群ID={0}。PS:群ID可用于蓝盾平台上任意企业微信群通知。
    public static final String BK_MISSING_RESOURCE_DEPENDENCY = "bkMissingResourceDependency"; // 依赖的资源不存在

    public static final String BK_REQUEST_TIMED_OUT = "bkRequestTimedOut"; // 请求超时
    public static final String BK_QUERY_PARAM_REQUEST_ERROR = "bkQueryParamRequestError"; // 查询参数请求错误
    public static final String BK_JSON_BAD_PARAMETERS = "bkJsonBadParameters"; // JSON参数错误/Bad Parameters in json
    public static final String BK_REQUEST_BODY_CONTENT_PARAMETER_INCORRECT = "bkRequestBodyContentParameterIncorrect"; // 请求体内容参数错误。温馨提示：请确认{0}是否符合要求
    public static final String BK_REQUESTED_RESOURCE_DOES_NOT_EXIST = "bkRequestedResourceDoesNotExist"; // 请求的资源不存在
    public static final String BK_NOT_OAUTH_CERTIFICATION = "bkNotOauthCertification"; // 你没有Oauth认证
    public static final String BK_QUERY_PARAM_REQUEST_EMPTY = "bkQueryParamRequestEmpty"; // 请求的参数内容为空
    public static final String BK_QUERY_PARAM_TYPE_ERROR = "bkQueryParamTypeError"; // 查询参数类型错误
    public static final String BK_NOT_HAVE_PERMISSION_PERFORM_THIS_OPERATION = "bkNotHavePermissionPerformThisOperation"; // 你没有权限进行该操作
    public static final String BK_FAILED_ACCESS_BACKGROUND_DATA = "bkFailedAccessBackgroundData"; // 访问后台数据失败，已通知产品、开发，请稍后重试
    public static final String BK_RESOURCES_THAT_NOT_AUTHORIZED_ACCESS = "bkResourcesThatNotAuthorizedAccess"; // 未授权访问的资源
    public static final String BK_CODE_BASE_TRIGGERING = "bkCodeBaseTriggering"; // 代码库触发
    public static final String BK_FAILED_START_BUILD_MACHINE = "bkFailedStartBuildMachine"; // 启动构建机失败

    public static final String CREATE_BRANCH = "bkCreateBranch"; // 创建分支
    public static final String DELETE_BRANCH = "bkDeleteBranch"; // 删除分支

    public static final String GET_PROJECT_INFO = "bkGetProjectInfo"; // 获取项目详情
    public static final String GET_COMMIT_REVIEW_INFO = "bkGetCommitReviewInfo"; // 获取Commit Review详情
    public static final String GET_SESSION_INFO = "bkGetSessionInfo"; // 获取会话详情

    public static final String OPERATION_BRANCH = "bkOperationBranch"; // 拉分支
    public static final String OPERATION_TAG = "bkOperationTag"; // 拉标签
    public static final String OPERATION_ADD_WEBHOOK = "bkOperationAddWebhook"; // 添加WEBHOOK
    public static final String OPERATION_UPDATE_WEBHOOK = "bkOperationUpdateWebhook"; // 修改WEBHOOK
    public static final String OPERATION_LIST_WEBHOOK = "bkOperationListWebhook"; // 查询WEBHOOK
    public static final String OPERATION_ADD_COMMIT_CHECK = "bkOperationAddCommitCheck"; // 添加COMMIT CHECK
    public static final String OPERATION_ADD_MR_COMMENT = "bkOperationAddMrComment"; // 添加MR COMMENT
    public static final String OPERATION_LIST_MR = "bkOperationListMr"; // 添加MR
    public static final String OPERATION_ADD_MR = "bkOperationAddMr"; // 添加MR
    public static final String OPERATION_COMMIT = "bkOperationCommit"; // 拉提交记录
    public static final String OPERATION_COMMIT_DIFF = "bkOperationCommitDiff"; // 查询commit变化
    public static final String OPERATION_UNLOCK_HOOK_LOCK = "bkOperationUnlockHookLock"; // 解锁hook锁
    public static final String OPERATION_MR_CHANGE = "bkOperationMrChange"; // 查询合并请求的代码变更
    public static final String OPERATION_MR_INFO = "bkOperationMrInfo"; // 查询项目合并请求
    public static final String OPERATION_GET_CHANGE_FILE_LIST = "bkOperationGetChangeFileList"; // 查询变更文件列表
    public static final String OPERATION_GET_MR_COMMIT_LIST = "bkOperationGetMrCommitList"; // 获取合并请求中的提交
    public static final String OPERATION_PROJECT_USER_INFO = "bkOperationProjectUserInfo"; // 获取项目中成员信息
    public static final String OPERATION_TAPD_WORKITEMS = "bkOperationTapdWorkItems"; // 查看绑定的TAPD单
    public static final String BK_USER_GROUP_CRATE_TIME = "bkUserGroupCrateTime"; // {0} 用户组:{1},由{2} 创建于
    public static final String BK_USER_RATING_ADMIN_CRATE_TIME = "bkUserRatingAdminCrateTime"; // {0} 分级管理员,由{1} 创建于
    public static final String BK_SECOND_LEVEL_ADMIN_CREATE = "bkSecondLevelAdminCreate"; // {0} 二级管理员, 由{1} 创建于
    public static final String BK_SECOND_LEVEL_ADMIN_REVISE = "bkSecondLevelAdminRevise"; // {0} 二级管理员, 由{1} 修改于
    public static final String BK_USER_REQUESTS_THE_PROJECT = "bkUserRequestsTheProject"; // 用户 {0} 申请{1}蓝盾项目 {2} ,请审批！
    public static final String BK_ENV_NOT_YET_SUPPORTED = "bkEnvNotYetSupported"; // 尚未支持 {0} {1}，请联系 管理员 添加对应版本

    public static final String BK_BUILD_ENV_TYPE = "BUILD_ENV_TYPE_"; // 构建环境-
    public static final String BK_BUILD_ENV_TYPE_BUILDLESS = "BUILD_ENV_TYPE_BUILDLESS"; // 无编译环境
    public static final String BK_BUILD_ENV_TYPE_BUILD_TRIGGERS = "BUILD_ENV_TYPE_BUILD_TRIGGER"; // 构建触发
    public static final String TRANSFER_ERROR_CHECK_AGENT_ID_FAILED = "transferErrorCheckAgentIdFailed"; // 当前私有构建机数据有误或不存在
    public static final String TRANSFER_ERROR_CHECK_ENV_ID_FAILED = "transferErrorCheckEnvIdFailed"; // 当前私有构建机集群数据有误或不存在
}