package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum ScmType {
    CODE_SVN("svn"),
    CODE_GIT("git"),
    CODE_GITLAB("gitlab"),
    GITHUB("github"),
    CODE_TGIT("tgit"),
    CODE_P4("p4");

    private final String alias;

    public static Short parse(ScmType type) {
        switch (type) {
            case CODE_SVN:
                return 1;
            case CODE_GIT:
                return 2;
            case CODE_GITLAB:
                return 3;
            case GITHUB:
                return 4;
            case CODE_TGIT:
                return 5;
            case CODE_P4:
                return 6;
            default:
                return 0;
        }
    }

    public static ScmType parse(String alias) {
        if (alias == null || alias.isBlank()) return null;
        for (ScmType scmType : values()) {
            if (scmType.alias.equals(alias)) {
                return scmType;
            }
        }
        return null;
    }
}
