package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PipelineAsCodeSettings
 * @Description TODO
 * @Date 2025/4/1 20:17
 */
@Schema(title = "设置-YAML流水线功能设置")
@Data
public class PipelineAsCodeSettings {
    @Schema(title = "是否支持YAML流水线功能", required = true)
    private boolean enable = false;

    @Schema(title = "项目级流水线语法风格", required = false)
    private String projectDialect;

    @Schema(title = "是否继承项目流水线语言风格", required = false)
    private Boolean inheritedDialect = true;

    @Schema(title = "流水线语言风格", required = false)
    private String pipelineDialect;

    public static PipelineAsCodeSettings initDialect(Boolean inheritedDialect, String pipelineDialect) {
        PipelineAsCodeSettings settings = new PipelineAsCodeSettings();
        settings.setInheritedDialect(inheritedDialect == null ? true : inheritedDialect);
        // 如果继承项目方言配置,置空pipelineDialect字段,防止数据库存储多余数据
        settings.setPipelineDialect(settings.getInheritedDialect() ? null : pipelineDialect);
        return settings;
    }

    /**
     * 入库时,重置方言字段值
     */
    public void resetDialect() {
        this.projectDialect = null;
        if (this.inheritedDialect != false) {
            this.pipelineDialect = null;
        }
    }
}
