package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(title = "环境信息(权限)")
public class EnvWithPermission {
    @Schema(title = "环境 HashId", required = true)
    private String envHashId;

    @Schema(title = "环境名称", required = true)
    private String name;

    @Schema(title = "环境描述", required = true)
    private String desc;

    @Schema(title = "环境类型（开发环境{DEV}|测试环境{TEST}|构建环境{BUILD}）", required = true)
    private String envType;

    @Schema(title = "节点数量", required = false)
    private Integer nodeCount;

    @Schema(title = "环境变量", required = true)
    private List<EnvVar> envVars;

    @Schema(title = "创建人", required = true)
    private String createdUser;

    @Schema(title = "创建时间", required = true)
    private Long createdTime;

    @Schema(title = "更新人", required = true)
    private String updatedUser;

    @Schema(title = "更新时间", required = true)
    private Long updatedTime;

    @Schema(title = "是否可以编辑", required = false)
    private Boolean canEdit;

    @Schema(title = "是否可以删除", required = false)
    private Boolean canDelete;

    @Schema(title = "是否可以使用", required = false)
    private Boolean canUse;

    @Schema(title = "项目名称", required = false)
    private String projectName;

} 