package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.pojo.element.ElementAdditionalOptions;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author by mianbin
 * @Classname PipelineModelTask
 * @Description 流水线模型插件任务
 * @Date 2025/3/31 17:00
 */
@Data
@AllArgsConstructor
public class PipelineModelTask {
    private final String projectId;
    private final String pipelineId;
    private final String stageId;
    private final String containerId;
    private final String taskId;
    private final int taskSeq;
    private final String taskName;
    private final String atomCode;
    private String atomVersion;
    private final String classType;
    private final String taskAtom;
    private final Map<String, Object> taskParams = new ConcurrentHashMap<>();
    private ElementAdditionalOptions additionalOptions;
    private String os = "linux";
    private String taskPosition = ""; // 插件在model中的位置，eg: stageSeq-jobSeq-taskSeq
    private boolean stageEnable = true;
    private boolean containerEnable = true;
}
