package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewDict
 * @Date：2025/03/24 20:01
 * @Filename：PipelineViewDict
 * @description：Todo
 */
@Data
@Schema(title = "流水线组与流水线的对应关系")
public class PipelineViewDict {
    @Schema(title = "个人流水线组列表")
    private List<ViewInfo> personalViewList;
    @Schema(title = "项目流水线列表")
    private List<ViewInfo> projectViewList;
    @Data
    @Schema(title = "流水线组信息")
    public static class ViewInfo {
        @Schema(title = "流水线组ID")
        private String viewId;
        @Schema(title = "流水线组名")
        private String viewName;
        @Schema(title = "流水线列表")
        private List<PipelineInfo> pipelineList;
        @Data
        @Schema(title = "流水线信息")
        public static class PipelineInfo {
            @Schema(title = "流水线ID")
            private String pipelineId;
            @Schema(title = "流水线名称")
            private String pipelineName;
            @Schema(title = "流水线组ID")
            private String viewId;
            @Schema(title = "是否删除")
            private Boolean delete;
        }
    }

    public static final PipelineViewDict EMPTY = new PipelineViewDict();
}
