package cd.casic.ci.process.api.process.pojo.webhook;

import cd.casic.ci.log.scm.enums.RepositoryType;
import cd.casic.ci.log.scm.enums.ScmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.webhook
 * @Project：ops-pro
 * @name：PipelineWebhookVersion
 * @Date：2025/03/24 17:08
 * @Filename：PipelineWebhookVersion
 * @description：Todo
 */
@Data
@Schema(title = "流水线Webhook版本")
public class PipelineWebhookVersion {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "流水线版本", required = false)
    private Integer version;
    @Schema(title = "插件ID", required = false)
    private String taskId;
    @Schema(title = "插件参数", required = false)
    private String taskParams;
    @Schema(title = "插件代码库类型配置， ID 代码库HashId / NAME 别名", required = false)
    private RepositoryType taskRepoType;
    @Schema(title = "插件配置的代码库HashId，repoHashId与repoName 不能同时为空，如果两个都不为空就用repoName", required = false)
    private String taskRepoHashId; // repoHashId 与 repoName 不能同时为空，如果两个都不为空就用repoName
    @Schema(title = "代码库别名", required = false)
    private String taskRepoName;
    @Schema(title = "代码库类型，见ScmType枚举", required = false)
    private ScmType repositoryType;
    @Schema(title = "代码库hashId,插件配置解析后的代码库ID", required = false)
    private String repositoryHashId;
    @Schema(title = "事件类型", required = false)
    private String eventType;
}
