package cd.casic.ci.process.process.dataObject.pipeline;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class PipPipeline {
    /**
     * 主键id
     */
    @TableId(type =  IdType.ASSIGN_ID)
    private String id;

    /**
     * 流水线名称
     */
    private String name;

    /**
     * 创建人用户id
     */
    private String createUserId;

    private String updateUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    /**
     * 流水线类型 1.多任务 2.多阶段
     */
    private Integer type;

    /**
     * 运行状态 1.未运行 2.运行中
     */
    private Integer state;

    /**
     * 项目作用域 1.全局 2.项目
     */
    private Integer power;

    /**
     * 颜色 1~5随机生成
     */
    private Integer color;

    /**
     * 流水线模板id
     */
    private String templateId;

    /**
     * 是否收藏 0.未收藏 1.收藏
     */
    private Integer collect;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 流水线组id
     */
    private String groupId;

    /**
     * 资源id
     */
    private String resourceId;

    /**
     * 备注
     */
    private String remake;

    /**
     * 流水线环境
     */
    private String envId;

    /**
     * 执行人id
     */
    private String executeUserId;

    /**
     * 执行时间
     */
    private LocalDateTime executeTime;

    /**
     * 流水线触发方式
     */
    private String pipelineTriggerMode;

    /**
     * 执行状态
     */
    private String executeStatus;

    /**
     * 流水线标签
     */
    private String pipelineTag;

    /**
     * 所属项目id
     */
    private String projectId;
}
