package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "USER_ATOM_COMMENT_REPLY", description = "插件-用户评论回复")
@RestController
@RequestMapping("/user/market/atom/comment/reply")
public interface UserAtomCommentReplyResource {

    @Operation(summary = "回复插件评论")
    @PostMapping("/{commentId}")
    CommonResult<Boolean> replyAtomComment(
            @Parameter(description = "评论ID", required = true)
            @PathVariable("commentId")
            Long commentId
    );
}