package cd.casic.pipeline.store.api.image;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.label.Label;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_MARKET_IMAGE_LABEL", description = "镜像-镜像标签")
@RestController
@RequestMapping("/user/market/image/label")
public interface UserImageLabelResource {

    @Operation(summary = "获取所有镜像标签信息")
    @GetMapping("/labels")
    CommonResult<List<Label>> getAllImageLabels();

    @Operation(summary = "根据镜像ID获取镜像标签信息")
    @GetMapping("/imageIds/{imageId}/labels")
    CommonResult<List<Label>> getImageLabelsByImageId(
            @Parameter(description = "镜像ID", required = true)
            @PathVariable("imageId")
            String imageId
    );
}