package cd.casic.pipeline.store.pojo.image.enums;

import lombok.Getter;

@Getter
public enum LabelTypeEnum {
    ATOM(0), // 插件
    TEMPLATE(1), // 模板
    IMAGE(2); // 镜像

    private final int status;

    LabelTypeEnum(int status) {
        this.status = status;
    }

    public static LabelTypeEnum getLabelType(String name) {
        for (LabelTypeEnum enumObj : values()) {
            if (enumObj.name().equals(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getLabelType(int type) {
        switch (type) {
            case 0: return ATOM.name();
            case 1: return TEMPLATE.name();
            case 2: return IMAGE.name();
            default: return ATOM.name();
        }
    }
}