package cd.casic.pipeline.store.pojo.template.enums;

import lombok.Getter;

@Getter
public enum TemplateTypeEnum {
    FREEDOM(0), // 自由模式
    CONSTRAINT(1); // 约束模式

    private final int type;

    TemplateTypeEnum(int type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return String.valueOf(type);
    }

    public static String getTemplateType(int type) {
        switch (type) {
            case 0: return FREEDOM.name();
            case 1: return CONSTRAINT.name();
            default: return CONSTRAINT.name();
        }
    }

    public static TemplateTypeEnum parse(Integer value) {
        if (value == null) return CONSTRAINT;
        for (TemplateTypeEnum type : values()) {
            if (type.type == value) {
                return type;
            }
        }
        return CONSTRAINT;
    }
}